pxcab: Replace TARGET_pxcab with feature powerpc64
[openwrt/svn-archive/archive.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_VERSION_3_4_6 if LINUX_2_4
6 default GCC_VERSION_4_2_4 if TARGET_avr32
7 default GCC_VERSION_4_2_4 if TARGET_ppc40x
8 default GCC_VERSION_4_2_4 if TARGET_ppc44x
9 default GCC_VERSION_4_3_3 if powerpc64
10 default GCC_VERSION_4_3_3 if TARGET_etrax
11 default GCC_VERSION_4_3_3 if TARGET_coldfire
12 default GCC_VERSION_4_1_2
13 help
14 Select the version of gcc you wish to use.
15
16 config GCC_VERSION_3_4_6
17 bool "gcc 3.4.6"
18
19 if !LINUX_2_4
20 config GCC_VERSION_4_1_2
21 bool "gcc 4.1.2"
22
23 config GCC_VERSION_4_2_4
24 bool "gcc 4.2.4"
25
26 config GCC_VERSION_4_3_3
27 bool "gcc 4.3.3"
28
29 config GCC_VERSION_4_3_4
30 bool "gcc 4.3.4"
31
32 config GCC_VERSION_4_4_0
33 bool "gcc 4.4.0"
34
35 config GCC_VERSION_4_4_1
36 bool "gcc 4.4.1"
37 endif
38
39 endchoice
40
41 config EABI_SUPPORT
42 bool
43 depends arm||armeb
44 prompt "Enable EABI support" if TOOLCHAINOPTS
45 default n if TARGET_gemini
46 default y
47 help
48 Enable ARM EABI support
49
50 config EXTRA_GCC_CONFIG_OPTIONS
51 string
52 prompt "Additional gcc options" if TOOLCHAINOPTS
53 default ""
54 help
55 Any additional gcc options you may want to include....
56
57 config SSP_SUPPORT
58 bool
59 depends !GCC_VERSION_3_4_6
60 prompt "Enable Smash Stacking Protection support" if TOOLCHAINOPTS
61 default n
62 help
63 Enable Smash Stacking Protection support
64
65 config INSTALL_LIBSTDCPP
66 bool
67 prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
68 default y
69 help
70 Build/install c++ compiler and libstdc++?
71
72 config INSTALL_LIBGCJ
73 bool
74 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
75 default n
76 help
77 Build/install java compiler and GNU classpath ?